package com.yihu.hos.rest.controllers;

import com.yihu.hos.rest.services.gateway.ErrorHandleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/6/13.
 */
@RequestMapping("/")
@RestController("errorHandleController")
@Api(protocols = "http", value = "ErrorHandleController", description = "统一网关错误返回", tags = {"统一网关,错误返回"})
public class ErrorHandleController
{
    @Resource(name = ErrorHandleService.BEAN_ID)
    private ErrorHandleService errorHandleService;

    @RequestMapping(value = "/error/{errorCode}", produces = "application/json;charset=UTF-8", method = RequestMethod.GET)
    @ApiOperation(value = "统一网关错误信息获取", produces = "application/json", notes = "统一网关错误信息获取")
    public String test(HttpServletResponse response,
                       @ApiParam(name = "errorCode", value = "错误代码", required = true)
                       @PathVariable(name = "errorCode") String errorCode) {
        return errorHandleService.getError(response,errorCode);
    }

}
