package com.yihu.hos.rest.models.crawler.adapter;


import com.yihu.hos.rest.common.format.AdapterBase;
import com.yihu.hos.rest.models.standard.adapter.AdapterDictEntryModel;
import com.yihu.hos.rest.models.standard.adapter.AdapterDictModel;
import com.yihu.hos.rest.models.standard.bo.AdapterVersion;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Air
 * @version 1.0
 * @created 2015.08.11 11:31
 */
public class AdapterDict extends AdapterBase {

    private AdapterDictModel adapterDictModel;
    private AdapterDictModel adapterDictT;
    private Map<String, String> adapterValueToCodeMap;
    private Map<String, String> adapterCodeToCodeMap;
    public AdapterDict(AdapterDictModel adapterDictModel, AdapterVersion adapterVersion, Map<Long, List<AdapterDictEntryModel>> entryMap) {
        this.adapterDictModel = adapterDictModel;
        this.adapterDictT = adapterDictModel;
        prepareData(entryMap);
    }

    public void prepareData(Map<Long, List<AdapterDictEntryModel>> entryMap) {
        adapterValueToCodeMap = new HashMap<>();
        adapterCodeToCodeMap = new HashMap<>();
        List<AdapterDictEntryModel> adapterDictEntryModelList = entryMap.get(adapterDictModel.getStdDictId());
        for (AdapterDictEntryModel adapterDictEntryModel : adapterDictEntryModelList) {
            // 源数据元为key，目标数据元为value
            if (adapterDictEntryModel.getAdapterEntryValue()!= null){
                adapterValueToCodeMap.put(adapterDictEntryModel.getAdapterEntryValue(), adapterDictEntryModel.getStdEntryCode());
            }

            if (adapterDictEntryModel.getAdapterEntryCode() != null){
                adapterCodeToCodeMap.put(adapterDictEntryModel.getAdapterEntryCode(), adapterDictEntryModel.getStdEntryCode());

            }
        }
    }

    public Map<String, String> getAdapterValueToCodeMap() {
        return adapterValueToCodeMap;
    }

    public Map<String, String> getAdapterCodeToCodeMap() {
        return adapterCodeToCodeMap;
    }
}
