package com.yihu.hos.rest.models.crawler.qc;

import org.hibernate.annotations.Formula;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/6/6.
 */


@Entity
@Table(name = "qc_rule")
public class QcRuleModel implements Serializable {

    @Id
    @Column(name="id",length = 50)
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String id;

    @Column(name="name",length = 255,nullable = true)
    private String name;//名称

    @Column(name="code",length = 50,nullable = false)
    private String code;//编码

    @Column(name="type",length = 20,nullable = true)
    private String type;//类型：完整性-1，及时性-2，准确性-3

    @Column(name="description",length = 1000,nullable = false)
    private String description;//描述

    @Column(name="rule",length = 255,nullable = true)
    private String rule; // 规则校验地址

    @Column(name="error_code",length = 50,nullable = false)
    private String errorCode;//统一错误代码

    // 临时属性
    private String typeName; // 分类名称
    private String errorCodeName; // 统一错误代码名称

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRule() {
        return rule;
    }

    public void setRule(String rule) {
        this.rule = rule;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
    @Formula("( SELECT b.value FROM qc_rule a LEFT JOIN system_dict b ON b.code = a.type WHERE a.id = id )")
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Formula("( SELECT b.value FROM qc_rule a LEFT JOIN system_dict b ON b.code = a.error_code WHERE a.id = id )")
    public String getErrorCodeName() {
        return errorCodeName;
    }

    public void setErrorCodeName(String errorCodeName) {
        this.errorCodeName = errorCodeName;
    }
}
