package com.yihu.hos.rest.models.rs;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * RsJobConfig entity. @author MyEclipse Persistence Tools
 */



@Entity
@Table(name = "rs_job_config")
public class RsJobConfig implements java.io.Serializable {

	// Fields
	@Id
	@Column(name="id",length = 50)
	@GeneratedValue(generator = "uuid")
	@GenericGenerator(name = "uuid", strategy = "uuid")
	private String id;

	@Column(name="job_name",length = 50,nullable = true)
	private String jobName;//任务名称

	@Column(name="job_info",length = 200)
	private String jobInfo;//任务描述

	@Column(name="job_type",length = 10)
	private String jobType;//任务类型(0--单次执行 1--周期执行 2--监听任务)

	@Column(name="scheme_id",length = 50)
	private String schemeId;//适配方案

	@Column(name="scheme_version",length = 50)
	private String schemeVersion;//适配方案版本

	@Column(name="job_next_time")
	private Date jobNextTime;//任务下次执行时间

	@Column(name="valid",length = 10,nullable = true)
	private String valid;//是否有效

	@Column(name="job_content",length = 50)
	private String jobContent;//任务内容

	@Column(name="job_content_type",length = 10)
	private String jobContentType;//任务内容类型

	@Column(name="repeat_start_Time")
	private Date repeatStartTime;//采集开始时间

	@Column(name="repeat_end_Time")
	private Date repeatEndTime;//采集结束时间

	@Column(name="delay_time")
	private Integer delayTime;//延迟时间

	@Column(name="flow_id")
	private Integer flowId;//流程ID

	@Column(name="flow_temp_id")
	private Integer flowTempId;//流程模板ID

	// Constructors

	/** default constructor */
	public RsJobConfig() {
	}

	public Integer getFlowTempId() {
		return flowTempId;
	}

	public void setFlowTempId(Integer flowTempId) {
		this.flowTempId = flowTempId;
	}

	public Integer getFlowId() {
		return flowId;
	}

	public void setFlowId(Integer flowId) {
		this.flowId = flowId;
	}

	public String getJobContent() {
		return jobContent;
	}

	public void setJobContent(String jobContent) {
		this.jobContent = jobContent;
	}

	public String getJobContentType() {
		return jobContentType;
	}

	public void setJobContentType(String jobContentType) {
		this.jobContentType = jobContentType;
	}

	/** minimal constructor */
	public RsJobConfig(String jobName, String valid) {
		this.jobName = jobName;
		this.valid = valid;
	}

	/** full constructor */
	public RsJobConfig(String jobName, String jobInfo, String jobType, String schemeId,String schemeVersion, String jobTimeInterval, Date jobNextTime, String valid) {
		this.jobName = jobName;
		this.jobInfo = jobInfo;
		this.jobType = jobType;
		this.schemeId = schemeId;
		this.schemeVersion = schemeVersion;
		this.jobNextTime = jobNextTime;
		this.valid = valid;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getJobName() {
		return this.jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getJobInfo() {
		return this.jobInfo;
	}

	public void setJobInfo(String jobInfo) {
		this.jobInfo = jobInfo;
	}

	public String getJobType() {
		return this.jobType;
	}

	public void setJobType(String jobType) {
		this.jobType = jobType;
	}

	public String getSchemeId() {
		return schemeId;
	}

	public void setSchemeId(String schemeId) {
		this.schemeId = schemeId;
	}

	public String getSchemeVersion() {
		return schemeVersion;
	}

	public void setSchemeVersion(String schemeVersion) {
		this.schemeVersion = schemeVersion;
	}

	public Date getJobNextTime() {
		return this.jobNextTime;
	}

	public void setJobNextTime(Date jobNextTime) {
		this.jobNextTime = jobNextTime;
	}

	public String getValid() {
		return this.valid;
	}

	public void setValid(String valid) {
		this.valid = valid;
	}

	public Date getRepeatStartTime() {
		return repeatStartTime;
	}

	public void setRepeatStartTime(Date repeatStartTime) {
		this.repeatStartTime = repeatStartTime;
	}

	public Date getRepeatEndTime() {
		return repeatEndTime;
	}

	public void setRepeatEndTime(Date repeatEndTime) {
		this.repeatEndTime = repeatEndTime;
	}

	public Integer getDelayTime() {
		return delayTime;
	}

	public void setDelayTime(Integer delayTime) {
		this.delayTime = delayTime;
	}
}